%define snapshot 0

%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt5quicktest %mklibname qt5quicktest %qtmajor
%define libqt5quicktest_d %mklibname qt%{qtmajor}quicktest -d

%define libqt5quick %mklibname qt5quick %qtmajor
%define libqt5quick_d %mklibname qt%{qtmajor}quick -d

%define libqt5quickwidgets %mklibname qt5quickwidgets %qtmajor
%define libqt5quickwidgets_d %mklibname qt%{qtmajor}quickwidgets -d

%define libqt5quickparticles %mklibname qt5quickparticles %qtmajor
%define libqt5quickparticles_d %mklibname qt%{qtmajor}quickparticles -d

%define libqt5qml %mklibname qt5qml %qtmajor
%define libqt5qml_d %mklibname qt%{qtmajor}qml -d

%define qttarballdir qtdeclarative-opensource-src-%{qtversion}

Name: qtdeclarative5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: %{_lib}qtxmlpatterns5-devel
BuildRequires: qtcore5-devel = %{version}
BuildRequires: qtcore5-private-devel = %{version}
BuildRequires: qtnetwork5-devel = %{version}
BuildRequires: qtgui5-devel = %{version}
BuildRequires: qtgui5-private-devel = %{version}
BuildRequires: qttest5-devel = %{version}
BuildRequires: qttest5-private-devel = %{version}
BuildRequires: qtwidgets5-devel = %{version}
BuildRequires: qt5widgets-private-devel = %{version}
BuildRequires: qtsql5-devel = %{version}

Conflicts:     %{_lib}qt5qml-private-devel  < 5.5.0-3

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files
%_qt5_bindir/qml
%_qt5_bindir/qmlimportscanner
%_qt5_bindir/qmlmin
%_qt5_bindir/qmlplugindump
%_qt5_bindir/qmlprofiler
%_qt5_bindir/qmlscene
%_qt5_bindir/qmltestrunner
%_qt5_bindir/qmleasing
%_qt5_bindir/qmllint
%_qt5_prefix/qml/QtTest
%_qt5_prefix/qml/QtQuick*
%_qt5_prefix/plugins/qmltooling/libqmldbg_tcp.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_debugger.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_inspector.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_local.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_native.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_profiler.so
%_qt5_prefix/plugins/qmltooling/libqmldbg_server.so
%_qt5_prefix/qml/Qt/labs/folderlistmodel
%_qt5_prefix/qml/Qt/labs/settings
%_qt5_datadir/qml/QtQml
%_qt5_datadir/qml/builtins.qmltypes

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quicktest}
Qt%{qtmajor} Lib.

%files -n %{libqt5quicktest}
%{_qt5_libdir}/libQt5QuickTest.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quicktest_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{libqt5quicktest} = %version-%{release}
Requires: %{name} = %version
Provides: libqt5quicktest-devel = %version-%{release}
Provides: libqtquicktest5-devel = %version-%{release}
Provides: qt5quicktest-devel = %version-%{release}
Provides: qtquicktest5-devel = %version-%{release}

Provides: libqt5quicktest-private-devel = %version-%{release}
Provides: libqtquicktest5-private-devel = %version-%{release}
Provides: qt5quicktest-private-devel = %version-%{release}
Provides: qtquicktest5-private-devel = %version-%{release}

%description -n %{libqt5quicktest_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quicktest_d}
%_qt5_libdir/libQt5QuickTest.prl
%_qt5_libdir/libQt5QuickTest.so
%_qt5_libdir/cmake/Qt5QuickTest
%_qt5_includedir/QtQuickTest
%_qt5_libdir/pkgconfig/Qt5QuickTest.pc


#------------------------------------------------------------------------------

%package -n %{libqt5quick}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quick}
Qt%{qtmajor} Lib.

%files -n %{libqt5quick}
%{_qt5_libdir}/libQt5Quick.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quick_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5quick} = %version-%{release}
Provides: libqt5quick-devel = %version-%{release}
Provides: libqtquick5-devel = %version-%{release}
Provides: qt5quick-devel = %version-%{release}
Provides: qtquick5-devel = %version-%{release}
Requires: qtgui5-devel = %version-%{release}

Provides: libqt5quick-private-devel = %version-%{release}
Provides: libqtquick5-private-devel = %version-%{release}
Provides: qt5quick-private-devel = %version-%{release}
Provides: qtquick5-private-devel = %version-%{release}

%description -n %{libqt5quick_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quick_d}
%_qt5_libdir/libQt5Quick.prl
%_qt5_libdir/libQt5Quick.so
%_qt5_libdir/cmake/Qt5Quick
%_qt5_includedir/QtQuick

%_qt5_libdir/pkgconfig/Qt5Quick.pc
%_qt5_prefix/mkspecs/modules/qt_lib_quick.pri
%_qt5_prefix/mkspecs/modules/qt_lib_quick_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets}
Summary: Qt%{qtmajor} Lib 
Group: System/Libraries

%description -n %{libqt5quickwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickwidgets}
%{_qt5_libdir}/libQt5QuickWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickwidgets_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5quickwidgets} = %version-%{release}
Provides: libqt5quickwidgets-devel = %version-%{release}
Provides: libqtquickwidgets5-devel = %version-%{release}
Provides: qt5quickwidgets-devel = %version-%{release}
Provides: qtquickwidgets5-devel = %version-%{release}

Provides: libqt5quickwidgets-private-devel = %version-%{release}
Provides: libqtquickwidgets5-private-devel = %version-%{release}
Provides: qt5quickwidgets-private-devel = %version-%{release}
Provides: qtquickwidgets5-private-devel = %version-%{release}

%description -n %{libqt5quickwidgets_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickwidgets_d}
%_qt5_libdir/libQt5QuickWidgets.prl
%_qt5_libdir/libQt5QuickWidgets.so
%_qt5_libdir/cmake/Qt5QuickWidgets
%_qt5_includedir/QtQuickWidgets
%_qt5_libdir/pkgconfig/Qt5QuickWidgets.pc
%_qt5_prefix/mkspecs/modules/qt_lib_quickwidgets.pri
%_qt5_prefix/mkspecs/modules/qt_lib_quickwidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5quickparticles}
Qt%{qtmajor} Lib.

%files -n %{libqt5quickparticles}
%{_qt5_libdir}/libQt5QuickParticles.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5quickparticles_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5quickparticles} = %version-%{release}
Provides: libqt5quickparticles-devel = %version-%{release}
Provides: libqtquickparticles5-devel = %version-%{release}
Provides: qt5quickparticles-devel = %version-%{release}
Provides: qtquickparticles5-devel = %version-%{release}

Provides: libqt5quickparticles-private-devel = %version-%{release}
Provides: libqtquickparticles5-private-devel = %version-%{release}
Provides: qt5quickparticles-private-devel = %version-%{release}
Provides: qtquickparticles5-private-devel = %version-%{release}

%description -n %{libqt5quickparticles_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5quickparticles_d}
%_qt5_libdir/libQt5QuickParticles.prl
%_qt5_libdir/libQt5QuickParticles.so
%_qt5_includedir/QtQuickParticles
%_qt5_prefix/mkspecs/modules/qt_lib_quickparticles_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5qml}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5qml}
Qt%{qtmajor} Lib.

%files -n %{libqt5qml}
%{_qt5_libdir}/libQt5Qml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5qml_d}
Summary: Devel files needed to build apps based on QtDeclarative
Group:    Development/Libraries
Requires: %{name} = %version-%{release}
Requires: %{libqt5qml} = %version-%{release}
Provides: libqt5qml-devel = %version-%{release}
Provides: libqtqml5-devel = %version-%{release}
Provides: qt5qml-devel = %version-%{release}
Provides: qtqml5-devel = %version-%{release}

Provides: libqt5qml-private-devel = %version-%{release}
Provides: libqtqml5-private-devel = %version-%{release}
Provides: qt5qml-private-devel = %version-%{release}
Provides: qtqml5-private-devel = %version-%{release}

Requires: qtnetwork5-devel = %version
Requires: qtcore5-devel = %version

%description -n %{libqt5qml_d}
Devel files needed to build apps based on QtDeclarative.

%files -n %{libqt5qml_d}
%_qt5_libdir/libQt5Qml.prl
%_qt5_libdir/libQt5Qml.so
%_qt5_libdir/cmake/Qt5Qml
%_qt5_prefix/mkspecs/modules/qt_lib_qmltest.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qml.pri

%_qt5_libdir/pkgconfig/Qt5Qml.pc
%_qt5_libdir/libQt5QmlDevTools.a
%_qt5_includedir/QtQml*
%_qt5_libdir/libQt5QmlDevTools.prl
%_qt5_prefix/mkspecs/modules/qt_lib_qml_private.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qmldevtools_private.pri
%_qt5_prefix/mkspecs/modules/qt_lib_qmltest_private.pri

#------------------------------------------------------------------------------


%prep
%setup -q -n qtdeclarative-opensource-src-%{qtversion}

%build
%qmake_qt5

#------------------------------------------------------------------------------
%make

%install
rm -rf %buildroot
%qmakeinstall_std

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -rf %{buildroot}/%_qt5_prefix/examples

%changelog
* Mon Mar 13 2017 adrianomorselli <adrianomorselli> 5.6.2-1uplos2017
- update
